pre-push:
  parallel: true
  scripts:
    "go-mod-tidy":
      runner: sh
  commands:
    go-lint:
      run: |-
        if ! command -v docker &> /dev/null; then
          echo "Docker is not installed. Please see https://handbook.gitlab.com/handbook/tools-and-tips/mac/#docker-desktop for installation instructions."
          exit 1
        else
          docker run --rm -it -w /app -v $(pwd):/app golangci/golangci-lint:v1.60.3 golangci-lint run \
            --verbose --config .git/info/lefthook-remotes/ci-templates/.golangci.yml
        fi
